# $Revision: 1.8 $, $Date: 2011/04/06 13:13:46 $
Summary:	Galago GTK+ library
Summary(pl.UTF-8):	Biblioteka Galago dla GTK+
Name:		libgalago-gtk
Version:	0.5.0
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.galago-project.org/files/releases/source/libgalago-gtk/%{name}-%{version}.tar.bz2
# Source0-md5:	20e809869ec764efb2259ee0d0dee263
URL:		http://www.galago-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	libgalago-devel >= 0.5.2-2
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	dbus-glib >= 0.71
Requires:	gtk+2 >= 2:2.4.0
Requires:	libgalago >= 0.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgalago is a part of Galago Project (D-BUS-based desktop presence
framework).

%description -l pl.UTF-8
libgalago jest częścią Projektu Galago (bazowany na D-BUSie szkielet
stanu obecności).

%package devel
Summary:	libgalago-gtk header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgalago-gtk
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.71
Requires:	gtk+2-devel >= 2:2.4.0
Requires:	libgalago-devel >= 0.5.2-2

%description devel
Header files for libgalago-gtk-based programs development.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów opartych o libgalago-gtk.

%package static
Summary:	Static libgalago-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka libgalago-gtk
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgalago-gtk library.

%description static -l pl.UTF-8
Statyczna biblioteka libgalago-gtk.

%prep
%setup -q

%build
cp /usr/share/gettext/config.rpath .
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/autopackage
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgalago-gtk.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_libdir}/libgalago-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgalago-gtk.so.1
%{_pixmapsdir}/galago

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgalago-gtk.so
%{_includedir}/libgalago-gtk
%{_pkgconfigdir}/libgalago-gtk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgalago-gtk.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgalago-gtk.spec,v $
Revision 1.8  2011/04/06 13:13:46  wiget
- BR/R libgalago with fixed pkgconfig support
- drop libtool file
- rel. 3

Revision 1.7  2008/11/09 17:12:05  arekm
- release 2

Revision 1.6  2008/01/21 19:56:04  qboosh
- don't call both glib-gettextize and gettextize

Revision 1.5  2008-01-13 00:30:58  qboosh
- more verbose files, ghost soname symlink

Revision 1.4  2007-12-18 16:12:25  aredridel
- fix aclocal invocation

Revision 1.3  2007-05-25 21:56:19  qboosh
- more deps
- base Group changed to Libraries

Revision 1.2  2007/05/25 21:09:46  qboosh
- unified

Revision 1.1  2007/05/23 11:01:23  patrys
- initial PLD release
